"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createGenerator = void 0;
const Config_1 = require("../src/Config");
const SchemaGenerator_1 = require("../src/SchemaGenerator");
const formatter_1 = require("./formatter");
const parser_1 = require("./parser");
const program_1 = require("./program");
function createGenerator(config) {
    const completedConfig = { ...Config_1.DEFAULT_CONFIG, ...config };
    const program = (0, program_1.createProgram)(completedConfig);
    const parser = (0, parser_1.createParser)(program, completedConfig);
    const formatter = (0, formatter_1.createFormatter)(completedConfig);
    return new SchemaGenerator_1.SchemaGenerator(program, parser, formatter, completedConfig);
}
exports.createGenerator = createGenerator;
//# sourceMappingURL=generator.js.map