"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ConstructorNodeParser = void 0;
const typescript_1 = __importDefault(require("typescript"));
const ConstructorType_1 = require("../Type/ConstructorType");
const NeverType_1 = require("../Type/NeverType");
const DefinitionType_1 = require("../Type/DefinitionType");
const FunctionNodeParser_1 = require("./FunctionNodeParser");
class ConstructorNodeParser {
    constructor(childNodeParser, functions) {
        this.childNodeParser = childNodeParser;
        this.functions = functions;
    }
    supportsNode(node) {
        return node.kind === typescript_1.default.SyntaxKind.ConstructorType;
    }
    createType(node, context) {
        if (this.functions === "hide") {
            return new NeverType_1.NeverType();
        }
        const name = (0, FunctionNodeParser_1.getTypeName)(node);
        const func = new ConstructorType_1.ConstructorType(node, (0, FunctionNodeParser_1.getNamedArguments)(this.childNodeParser, node, context));
        return name ? new DefinitionType_1.DefinitionType(name, func) : func;
    }
}
exports.ConstructorNodeParser = ConstructorNodeParser;
//# sourceMappingURL=ConstructorNodeParser.js.map