"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ConstructorType = void 0;
const BaseType_1 = require("./BaseType");
class ConstructorType extends BaseType_1.BaseType {
    constructor(node, namedArguments) {
        var _a;
        super();
        this.namedArguments = namedArguments;
        if (node) {
            this.comment = `new (${node.parameters
                .map((p) => p.getFullText())
                .join(",")}) =>${(_a = node.type) === null || _a === void 0 ? void 0 : _a.getFullText()}`;
        }
    }
    getId() {
        return "constructor";
    }
    getComment() {
        return this.comment;
    }
    getNamedArguments() {
        return this.namedArguments;
    }
}
exports.ConstructorType = ConstructorType;
//# sourceMappingURL=ConstructorType.js.map